%define momorel 32
%define mozilla_version 1.7.3
%define __libtool :
Summary: TiMidity++ -- MIDI to WAVE converter and player
Name: TiMidity++
Version: 2.11.3
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.onicos.com/staff/iz/timidity/
BuildPreReq: guspat, esound, esound-devel
BuildRequires: audiofile-devel >= 0.2.0, libpng-devel >= 1.2.2
BuildPreReq: tcl >= 8.4.5-1m, tk >= 8.4.5-1m
Requires: openmotif, alsa-lib >= 0.5.6, guspat, tcl >= 8.4.5-1m, tk >= 8.4.5-1m

Source0: http://www.onicos.com/staff/iz/timidity/dist/%{name}-%{version}.tar.bz2
Nosource: 0
Source1: ftp://ftp.netscape.com/pub/sdk/plugin/unix/unix-sdk-3.0b5.tar.Z
# Nosource: 1
# Source2: http://pubweb.bnl.gov/people/hoff/midi/1.10/ump_with_volume.tar.Z
# Source3: http://pubweb.bnl.gov/people/hoff/midi/1.10/timdiffs.tar.Z
Source2: ump_with_volume.tar.bz2
Source3: timdiffs.tar.bz2
Source4: TiMidity++.desktop
Patch0: http://www.onicos.com/staff/iz/timidity/dist/ump-patch-1.gz
Patch1: http://www.onicos.com/staff/iz/timidity/dist/ump-patch-2.gz
Patch2: http://www.onicos.com/staff/iz/timidity/dist/ump-patch-3.gz
Patch3: alsa_enable.patch
Patch4: http://www.onicos.com/staff/iz/timidity/dist/ump-patch-4.gz
Patch5: ump_Makefile.patch
Patch6: TiMidity++-2.1.3-alsa09.patch
Patch7: TiMidity++-2.11.3-alsa-1.0.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Original version of this program is written by Tuuka Tiovonen <tt@cgs.fi>
until TiMidity 0.2i. (he discontinued to develop it because of his busy
work)  And Masanao Izumo <mo@goice.co.jp> and other people has begun to
hack it, then we decided TiMidity++ officially release.

TiMidity has originally been a converter that converts MIDI files to WAV
audio file. But now TiMidity++ is not only a converter but also the
real-time player that can play a MIDI file in real time. TiMidity does
not requires external MIDI instrument module to play MIDI file, performs
with software power.

TiMidity++ uses GUS/patch (Glavis Ultrasound) as the voice data to play.
And it can also handle SoundFont data for voice data.

%package ump
Summary: MIDI plugins for mozilla
Group: Applications/Multimedia
BuildPreReq: openmotif-devel
BuildPrereq: mozilla
Prereq: mozilla >= %{mozilla_version}
Obsoletes: TiMidity++UMP

%description ump
This is the MIDI plugins for mozilla.

%prep
rm -rf %{buildroot}
%setup -q

mkdir ump
pushd ump > /dev/null
tar zxf %SOURCE1
tar zxf %SOURCE2
tar zxf %SOURCE3 plugin_c.c
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p0
%patch4 -p1
cp PluginSDK30b5/include/*.h .
cp PluginSDK30b5/common/npunix.c .
popd > /dev/null
%patch6 -p1
%patch7 -p1

aclocal
autoheader-2.53
automake
autoconf-2.53

%build
%ifnarch alpha alphaev5
DEF_PKGDATADIR=%{_datadir}/timidity ./configure --prefix=/usr --enable-ump --enable-audio=oss --with-includes=../libunimod
%else
DEF_PKGDATADIR=%{_datadir}/timidity ./configure --prefix=/usr --host=alpha-kondara-linux --enable-ump --enable-audio=oss --with-includes=../libunimod
%endif
make clean
CONFIG_HEADERS='' CONFIG_FILES=ump/Makefile DEF_PKGDATADIR=%{_datadir}/timidity /bin/sh ./config.status
# patch -p0 -d ump < %{PATCH5}
# make ump -C libunimod
make %{?_smp_mflags} ump -C ump

make clean
CFLAGS="%{optflags}" \
%configure --libdir=%{_datadir} \
  --enable-audio=oss,alsa,esd \
  --enable-ncurses \
  --enable-slang \
  --enable-motif \
  --enable-tcltk \
  --enable-emacs \
  --enable-vt100 \
  --enable-xaw \
  --enable-xskin \
  --enable-gtk \
  --enable-network \
  --enable-spectrogram \
  --enable-spline=lagrange \
  --enable-wrd
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/timidity
mkdir -p %{buildroot}/usr/X11R6/lib/X11/{ja/app-defaults,app-defaults}
mkdir -p %{buildroot}/%{_mandir}/{man1,man5,ja/{man1,man5}}
mkdir -p %{buildroot}/usr/lib/mozilla-%{mozilla_version}/plugins
%makeinstall libdir=%{buildroot}%{_datadir} transform=s,^,,
install -m 0644 TiMidity.ad %{buildroot}/usr/X11R6/lib/X11/app-defaults/TiMidity
install -m 0644 TiMidity-uj.ad %{buildroot}/usr/X11R6/lib/X11/ja/app-defaults/TiMidity
install -m 755 ump/ump.so %{buildroot}/usr/lib/mozilla-%{mozilla_version}/plugins/
install -m 644 doc/ja_JP.ujis/timidity.1 %{buildroot}%{_mandir}/ja/man1/
install -m 644 doc/ja_JP.ujis/timidity.cfg.5 %{buildroot}%{_mandir}/ja/man5/

#(cd %{buildroot}/usr/lib/timidity;
# sed -e 's/\/usr/local/\/usr/g' timidity.el > %{buildroot}/usr/share/emacs/site-lisp/timidity.el)

sed -e "s,%{buildroot},,g" %{buildroot}%{_datadir}/timidity/tkmidity.tcl > tkmidity.tcl.tmp
install -m 644 tkmidity.tcl.tmp %{buildroot}%{_datadir}/timidity/tkmidity.tcl

mkdir -p %{buildroot}/usr/share/gnome/apps/Multimedia
install -m 644 %{SOURCE4} %{buildroot}/usr/share/gnome/apps/Multimedia

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.jp INSTALL INSTALL.jp AUTHORS ChangeLog ChangeLog.1 NEWS
%{_bindir}/timidity
%{_mandir}/man1/timidity.1*
%{_mandir}/man5/timidity.cfg.5*
%{_mandir}/ja/man1/timidity.1*
%{_mandir}/ja/man5/timidity.cfg.5*
%{_datadir}/timidity
/usr/X11R6/lib/X11/app-defaults/TiMidity
/usr/X11R6/lib/X11/ja/app-defaults/TiMidity
#/usr/share/emacs/site-lisp/timidity.el
/usr/share/gnome/apps/Multimedia/TiMidity++.desktop

%files ump
%defattr(-,root,root)
/usr/lib/mozilla-%{mozilla_version}/plugins/ump.so

%changelog
* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.11.3-32m)
- rebuild against mozilla-1.7.3

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.11.3-31m)
- rebuild against mozilla-1.7.2

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.11.3-30m)
- rebuild against mozilla-1.7-2m

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.11.3-29m)
- rebuild against mozilla-1.7

* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.11.3-28m)
- rebuild against tcl,tk

* Fri Apr  2 2004 Toru Hoshina <t@momonga-linux.org>
- (2.11.3-27m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Sat Jan 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.11.3-26m)
- rebuild against mozilla-1.6

* Wed Jan  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.11.3-25m)
- add patch for alsa-1.0

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.11.3-24m)
- put unix-sdk-3.0b5.tar.Z into repository

* Fri Oct 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.11.3-23m)
- rebuild against mozilla-1.5

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.11.3-22m)
- rebuild against mozilla-1.4

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.11.3-21m)
- rebuild against for mozilla-1.3.1

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.11.3-20m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags}

* Fri Mar 14 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (2.11.3-19m)
- rebuild against for mozilla-1.3

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11.3-18m)
- change URL, Source0, Patch0, Patch1, Patch2, Patch4

* Fri Mar  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.11.3-17m)
- rebuild against for mozilla-1.3b

* Fri Feb 28 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11.3-16m)
- change Source0 URI
- change Patch0, Patch1, Patch2, Patch4 URI

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.11.3-15m)
- update alsa driver from 2.12.0-pre1

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.11.3-14k)
- rebuild against openmotif-2.2.2-2k.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.11.3-12k)
- rebuild against libpng-1.2.2

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.3-10k)
- mou wakaran

* Tue Jan 22 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.3-8k)
- revert behaviour of 2.11.3-4k

* Sun Jan 20 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.3-6k)
- enable to build

* Sun Jan 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.11.3-4k)
- change about ump
- We can enjoy midi on galeon

* Fri Jan 18 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.3-2k)
- update to 2.11.3

* Sat Jan 12 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.11.2-2k)
- up to 2.11.2

* Sat Dec 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.1-2k)
- update to 2.11.1

* Thu Dec 27 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.0-2k)
- update to 2.11.0

* Wed Nov 28 2001 Toru Hoshina <t@kondara.org>
- (2.10.4-12k)
- rebuild against mozilla 0.9.6.

* Wed Nov 14 2001 Shingo Akagaki <dora@Kondara.org>
- (2.10.4-10k)
- change plugin dir

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.10.4-8k)
- nigittenu

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.10.4-6k)
- rebuild against libpng 1.2.0.

* Mon Jul 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.10.4-4k)
- add alphaev5 support.

* Wed Mar 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.4-2k)
- update to 2.10.4
- remove TiMidity++-2.10.3.mumumu.patch because original source is modified

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.3-3k)
- update to 2.10.3
- add TiMidity++-2.10.3.mumumu.patch

* Sun Jan 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.2-11k)
- modified the bug with tcltk mode
- modifed spec file with macros

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.2-9k)
- added gnome desktop file

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.2-7k)
- obsoletes: kde-multimedia becuase of conflicts
- add japanese X default resource

* Thu Dec 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.2-5k)
- build against audiofile-0.2.0
- changed binary file name to timidity++

* Thu Dec 15 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.2-3k)
- update to 2.10.2 (Yoshito Komatsu <yoshito.komatsu@nifty.com>)
- fixed Requires (Yoshito Komatsu <yoshito.komatsu@nifty.com>)

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.10.1-1k)
- update to 2.10.1

* Mon Jul 17 2000 AYUHANA Tomonori <l@kondara.org>
- (2.9.5-2k)
- rebuild against rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5, Xaw3d-1.5-2k
- Source .Z -> .bz2
- change PKGDATADIR=... -> DEF_PKGDATADIR=...

* Fri Jul 07 2000 NORIKANE Seiichiro <no_ri@kf6.so-net.ne.jp>
- update to 2.9.5

* Fri Jun 30 2000 MATSUDA, Daiki <dyky@df-usa.com>
- update to 2.9.4
- enable to build if uninstalled TiMidity++
- enable esound
- enable tcltk
- modify %files about man for rpm-3.0.5

* Wed Apr 12 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up -> 2.9.2
- disable tcltk because of unable to build on not X environment
- fixed bug not to load ump on netsape

* Mon Apr  9 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up -> 2.9.1
- errase ALSA support on UMP

* Sun Mar 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, Copyright, BuildRoot, Summary )

* Sat Mar  4 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Version up -> 2.9.0
- modify the ja man directory

* Thu Jan 13 2000 MATSUDA, Daiki <dyky@df-usa.com>
- fixed for netscape-common-4.7-3k6

* Tue Dec 28 1999 Kondara Project
- First release.
